--- title: "getRegionList" slug: "compute-vserver-server-common-getregionlist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-server-common-getregionlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getRegionList Available in VPC Get the list of Regions. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getRegionList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getRegionList ?responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getRegionListResponse` | Object | - | Response result - See [RegionList](/docs/en/common-vapidatatype-regionlist). | | `getRegionListResponse.requestId` | String | - | ID for the request - UUID format | | `getRegionListResponse.returnCode` | String | - | Response code | | `getRegionListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getRegionListResponse": { "totalRows": 3, "regionList": [ { "regionCode": "KR", "regionName": "Korea" }, { "regionCode": "SGN", "regionName": "Singapore(New)" }, { "regionCode": "JPN", "regionName": "Japan(New)" } ], "requestId": "77725bd7-****-****-****-4933305ee670", "returnCode": "0", "returnMessage": "success" } } ```